using FluentValidation;

namespace Indotalent.Features.Inventory.Scrapping.Cqrs;

public class CreateScrappingValidator : AbstractValidator<CreateScrappingRequest>
{
    public CreateScrappingValidator()
    {
        RuleFor(x => x.ScrappingDate).NotEmpty().WithMessage("Scrapping Date is required");
        RuleFor(x => x.WarehouseId).NotEmpty().WithMessage("Warehouse is required");
    }
}